package gcltests

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestRightness(t *testing.T) {
	assert.True(t, SM2SignTest())
	assert.True(t, SM2VerifyTest())
	assert.True(t, SM2EncryptionTest())
	assert.True(t, SM2DecryptionTest())

	assert.True(t, SM3WithIDTest())
	assert.True(t, SM3Test())

	assert.True(t, SM4MacTest())
	assert.True(t, SM4EncECB())
	assert.True(t, SM4DecECB())
	assert.True(t, SM4EncCBC())
	assert.True(t, SM4DecCBC())

	assert.True(t, SM2TPCKeyGenTest())
	assert.True(t, SM2TPCSignTest())
	assert.True(t, SM2TPCDecTest())

}
